<!--
  Generated template for the PastVisitsReportPopUpPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="visit-report-popup-header">
    <ion-navbar class="dawn-bar">
        
       
        <ion-icon name="arrow-round-back" (click)="close()" style="font-size: 28px;
       color:#13a89e; float:left; width:15%;  padding-left: 15px;"></ion-icon>
      
      <ion-title style=" float:left; width:85%;">  Visit Report</ion-title>
     
    </ion-navbar>
</ion-header>

<ion-content class="visit-report-popup">
  <ion-grid *ngIf="appState.IsMember">
    <ion-row>
      <ion-col>
        <label style="color:#08a79d;float: left;font-weight: bolder">Activity notes</label>
        <br/>
        <p style="font-size:13px;float: left;color: black">{{data?.activities}}</p>
      </ion-col>

    </ion-row>
    <ion-row>
      <ion-col>
        <label style="color:#08a79d;float: left;font-weight: bolder">Comment about services:</label>
        <br/>
        <p style="font-size:13px;float: left;color: black">{{data?.providerreport}}</p>
      </ion-col>
    </ion-row>
    <button class="custom-button" ion-button float-right (click)="close()">Ok</button>
  </ion-grid>

  <ion-grid *ngIf="!appState.IsMember" >
      <ion-row>
      <ion-col col-12>

          <ion-item class="border-none one">
              <ion-label>Comments about services</ion-label>
            </ion-item>
            <ion-item>
                <ion-textarea placeholder="Enter comments" [(ngModel)]="data.providerreport" required class="form-control "  style="height:80px;"  >
                </ion-textarea>
            </ion-item>

          <ion-item class="border-none one">
              <ion-label>Activity Notes</ion-label>
            </ion-item>

            <ion-item>
              <ion-textarea placeholder="Enter activity notes" [(ngModel)]="data.activities" required class="form-control "  style="height:80px;" >
              </ion-textarea>
           </ion-item>

     
      

        <ion-item class="border-none">
            <ion-label>Rating for member</ion-label>
          </ion-item>
          <ion-item>
          <rating style="padding-left:0px; color:yellow;" [(ngModel)]="data.rating" readOnly="false" max="5" emptyStarIconName="star-outline" halfStarIconName="star-half" starIconName="star" nullable="false"></rating>
        </ion-item>
     
        <ion-item class="border-none one">
          <ion-label>Comment about member</ion-label>
        </ion-item>
        <ion-item>  
          <ion-textarea placeholder="Enter comment" [(ngModel)]="data.comments" required class="form-control " style="height:80px;" >
          </ion-textarea>
        </ion-item>

       
        </ion-col>
       
      
         <ion-col col-12 class="button-box">
          <button ion-button small (click)="close()">Later</button>
          <button ion-button small (click)="updateComment(data)" class="background-c">Submit</button>

        </ion-col>

        </ion-row>
  </ion-grid>

  <!-- <button class="custom-button" ion-button block (click)="Ok()" style="float: right">OK</button> -->



</ion-content>
